System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.ValueCollectionParameterReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class provides a service-side method, , to read parameter name/value pairs that are encoded into an HTTP request URL's query string. For example, in the URL http://contoso.com?a=1&b=2, a and b are parameter names, and 1 and 2 are their values.

You typically will not need to use directly. HTTP-GET Web services are enabled when an ASP.NET configuration file's (Web.config) protocols element contains an add element whose name attribute's value is "HttpGet". The class is automatically used when an HTTP-GET Web service is enabled and an applicable HTTP request is received.

Reads incoming request parameters for Web services implemented using HTTP with name-value pairs encoded in the URL's query string rather than as a SOAP message.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] ``

  The method uses the content of the object's property.

  Reads name/value pairs encoded in the query string of an HTTP request into Web method parameter values.

  An array of name/value pairs.

  A objectcontaining HTML URL-encoded name/value pairs. 1.0.5000.0 2.0.0.0